﻿package 
{
	import flash.display.Sprite;
	import flash.display.StageDisplayState;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;

	public class Graph extends Sprite
	{
		private var limit:Number = 3000;
		private var counter:Number = 0;
		public function Graph()
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			drawStage(stage.stageWidth,stage.stageHeight);
			stage.addEventListener(MouseEvent.MOUSE_DOWN, mouse_move);
			
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
		}
		
		public function mouse_move(e:Event):void
		{
			stage.addEventListener(MouseEvent.MOUSE_MOVE, double_handler);
			stage.addEventListener(MouseEvent.MOUSE_UP, mouse_up);
		}
		public function mouse_up(e:Event):void
		{
			stage.removeEventListener(MouseEvent.MOUSE_MOVE, double_handler);
		}
		
		private function fullhandler(e:FullScreenEvent):void
		{
			graphics.clear();
			drawStage(stage.stageWidth,stage.stageHeight);
			eraseAll();
		}
		
		private function double_handler(e:MouseEvent):void
		{
			if(counter>limit){
				eraseAll();
			}
			var boule:Point = new Point(stage.stageWidth,stage.stageHeight,this);
			addChild(boule);
			counter++;
		}
		
		private function eraseAll():void
		{
			while(numChildren>0){
				this.removeChildAt(0);
			}
			counter = 1;
		}
		
		private function drawStage(stageWidth:Number,stageHeight:Number):void
		{	
			graphics.lineStyle(1,0xff0000,.0);
			graphics.moveTo(stageWidth/2,0);
			graphics.lineTo(stageWidth/2,stageHeight);
			graphics.moveTo(0,stageHeight/2);
			graphics.lineTo(stageWidth,stageHeight/2);
		}
		
	}
}
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	
class Point extends Sprite
{
	private var angle:Number = 0;
	private var r1:Number;
	private var r2:Number; 
	private var orientation:Number;
	private var sW:Number;
	private var sH:Number;
	public function Point(stageWidth:Number,stageHeight:Number,parent:Sprite):void
	{
		r1 = Math.random()*stageWidth/-50;
		r2 = Math.random()*stageHeight/-50;
		sW = stageWidth;
		sH = stageHeight;
		orientation = Math.round(0-Math.random()*2);
		if(orientation ==0){orientation++;}
		graphics.beginFill(0xffffff,.1);
		graphics.drawCircle(parent.mouseX-50,parent.mouseY-300,5);
		graphics.endFill();
		addEventListener(Event.ENTER_FRAME, onEnterFrame);
		addEventListener(Event.REMOVED, removedHandler);
	}
	private function removedHandler(e:Event):void
	{
		e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
	}
	private function onEnterFrame(e:Event):void
	{
		x = sW/10 + Math.cos(angle*Math.PI/10)*r1;
		y = sH/2 - Math.sin(angle*Math.PI/10)*r2*orientation;
		angle++;
	}
}